Rocksolid Light

Welcome to Rocksolid Light

register   nodelist   faq  


rocksolid / rocksolid.shared.helpdesk / Re: Postgresql install fuckup

SubjectAuthor
* Re: Postgresql install fuckupRetro Guy
`* Re: Postgresql install fuckupanonymous
 `* Re: Postgresql install fuckupanonymous
  `* Re: Postgresql install fuckupRetro Guy
   `* Re: Postgresql install fuckupanonymous
    `- Re: Postgresql install fuckuptrw

Subject: Re: Postgresql install fuckup
From: retro_guy@retrobbs.rocksolidbbs.com (Retro Guy)
Newsgroups: rocksolid.shared.helpdesk
Organization: novabbs
Date: Sat, 10 Aug 2019 22:47 UTC
On Sat, 10 Aug 2019 20:40:16+0000
trw <trw@anon.com> wrote:

I cannot install postgresql-9.6 on a vm with debian stretch (see
atteched screenshot). Seems like postgresql-common cannot be
configured, and as a consequence the rest of the packets neither.

Tried all kinds of repairs with dkpg, apt and aptitude, but nothing
makes any difference. There are two or three posts I can find, but no
solution that helps me.

Thoughts, anyone ?

Have you done apt update first?

I just installed postgresql as a test on stretch and it worked fine.

Does postgresql-common possibly require a real (or appearing to be
real) hostname setup on the server?

Retro Guy

--
Posted via novabbs




Subject: Re: Postgresql install fuckup
From: anonymous@def2.anon (anonymous)
Newsgroups: rocksolid.shared.helpdesk
Organization: def2org
Date: Sun, 11 Aug 2019 11:20 UTC
Have you done apt update first?

Yes, I did apt update && apt upgrade before.

I just installed postgresql as a test on stretch and it worked fine.

Was it a vm ? If yes, could you put the image somewhere to download ?

Does postgresql-common possibly require a real (or appearing to be
real) hostname setup on the server?

I wouldn't know why, but even so, the vm had a real looking hostname.

cheers

trw
Posted on def2




Subject: Re: Postgresql install fuckup
From: anonymous@def2.anon (anonymous)
Newsgroups: rocksolid.shared.helpdesk
Organization: def2org
Date: Sun, 11 Aug 2019 11:31 UTC
btw, I was using the vm image that runs def2. so it is really unclear to me what is going on (had no problems with that one before).
Posted on def2




Subject: Re: Postgresql install fuckup
From: retro_guy@retrobbs.rocksolidbbs.com (Retro Guy)
Newsgroups: rocksolid.shared.helpdesk
Organization: novabbs
Date: Wed, 14 Aug 2019 08:39 UTC
On Sun, 11 Aug 2019 11:31:14 -0000 (UTC)
anonymous@def2.anon (anonymous) wrote:

btw, I was using the vm image that runs def2. so it is really unclear
to me what is going on (had no problems with that one before).
Posted on def2



I just installed on the vm that I have (which I believe is the same
images running def2). This is the vm I made available for download a
while back.

It seems to have worked fine:

apt update
apt install postgresql
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following additional packages will be installed:
  libpq5 libsensors4 libxslt1.1 postgresql-9.6 postgresql-client-9.6
postgresql-client-common postgresql-common
  postgresql-contrib-9.6 ssl-cert sysstat
Suggested packages:
  lm-sensors postgresql-doc locales-all postgresql-doc-9.6
libdbd-pg-perl openssl-blacklist isag
The following NEW packages will be installed:
  libpq5 libsensors4 libxslt1.1 postgresql postgresql-9.6
postgresql-client-9.6 postgresql-client-common
  postgresql-common postgresql-contrib-9.6 ssl-cert sysstat
0 upgraded, 11 newly installed, 0 to remove and 17 not upgraded.
Need to get 7,206 kB/7,227 kB of archives.
After this operation, 33.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y

....

Creating config file /etc/postgresql-common/createcluster.conf with new
version

Creating config file /etc/logrotate.d/postgresql-common with new version
Building PostgreSQL dictionaries from installed myspell/hunspell
packages... Removing obsolete dictionary files:
Created
symlink /etc/systemd/system/multi-user.target.wants/postgresql.service
→ /lib/systemd/system/postgresql.service. Setting up libsensors4:amd64
(1:3.4.0-4) ... Processing triggers for man-db (2.7.6.1-2) ... Setting
up sysstat (11.4.3-2) ...

Creating config file /etc/default/sysstat with new version
update-alternatives: using /usr/bin/sar.sysstat to provide /usr/bin/sar
(sar) in auto mode Setting up postgresql-client-9.6
(9.6.15-0+deb9u1) ... update-alternatives:
using /usr/share/postgresql/9.6/man/man1/psql.1.gz to
provide /usr/share/man/man1/psql.1.gz (psql.1.gz) in auto mode Setting
up postgresql-9.6 (9.6.15-0+deb9u1) ... Creating new cluster
9.6/main ... config /etc/postgresql/9.6/main
data   /var/lib/postgresql/9.6/main locale en_US.UTF-8
  socket /var/run/postgresql
  port   5432
update-alternatives:
using /usr/share/postgresql/9.6/man/man1/postmaster.1.gz to
provide /usr/share/man/man1/postmaster.1.gz (postmaster.1.gz) in auto
mode Setting up postgresql (9.6+181+deb9u2) ... Setting up
postgresql-contrib-9.6 (9.6.15-0+deb9u1) ... Processing triggers for
systemd (232-25+deb9u11) ... Processing triggers for libc-bin
(2.24-11+deb9u4) ...

--
Posted via novabbs




Subject: Re: Postgresql install fuckup
From: anonymous@def2.anon (anonymous)
Newsgroups: rocksolid.shared.helpdesk
Organization: def2org
Date: Wed, 14 Aug 2019 17:36 UTC
thanks for trying, i will try again with an older version of the image. i really want to see that running....

cheers

trw
Posted on def2




Subject: Re: Postgresql install fuckup
From: trw@anon.com (trw)
Newsgroups: rocksolid.shared.helpdesk
Organization: def5
Date: Wed, 14 Aug 2019 18:16 UTC

btw, strange thing that it runs on your vm but not on mine. either i do something wrong to the system, or somebody is on my box. hmmmm... Posted on def4


1
rocksolid light 0.6.5e
clearnet i2p tor